<?php 
class Kriteria_m extends MY_Model
{
  function __construct()
  {
    parent::__construct();
  }

  // Fungsi untuk menampilkan data kriteria dari tabel
  public function get_all_data()
	{
		$query = $this->db->get('kriteria');
		return $query->result();
	}

  // Fungsi untuk menambahkan data kriteria ke dalam tabel
  public function insert($data) {
    $this->db->insert('kriteria', $data);
    return $this->db->insert_id(); // Mengembalikan ID dari data yang baru ditambahkan
  }

  // Fungsi untuk mengupdate data kriteria berdasarkan ID
  public function update($id, $data) {
      $this->db->where('id_kriteria', $id);
      return $this->db->update('kriteria', $data);
  }

  // Fungsi untuk menghapus data kriteria berdasarkan ID
  public function delete($id) {
      $this->db->where('id_kriteria', $id);
      return $this->db->delete('kriteria');
  }
  //jumlah bobot
  public function get_jumlah_bobot()
  {
      $this->db->select('SUM(bobot_vektor) AS total');
      return $this->db->get('kriteria');
  }
}
?>